Bug 1029005 - Portal.hasPermission returns false if Permission parameter contains multiple Memberships
Portal.hasPermission returns false if Permission parameter contains multiple ...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: DR01
: 6.1.1
Assigned To: Peter Palaga
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 08:18 EST by Martin Weiler
Modified: 2014-02-14 01:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that when multiple group access permissions were defined, the "hasPermission" method was honoring the first group access permission only. This caused the value of group permissions in a portlet to return false. If an administrator had access permissions set to a single group access permission, "hasPermission" functioned as expected. The fix changes the "hasPermission" method to accept a list of Memberships. For example, if the admin has access permissions set as ":/platform/administrators/admin group1;:/platform/administrators/admin group2;*:/platform/administrators/admin group3", all three access permissions are now accepted.
Story Points: ---
Clone Of:
: 1029545 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3287 Major Resolved Portal.hasPermission returns false if Permission parameter contains multiple Memberships 2014-02-19 11:37:53 EST

  None (edit)
Description Martin Weiler 2013-11-11 08:18:02 EST
Description of problem:
Platform issue for https://issues.jboss.org/browse/GTNPORTAL-3287
Comment 2 JBoss JIRA Server 2013-11-14 15:59:19 EST
Peter Palaga <ppalaga@redhat.com> updated the status of jira GTNPORTAL-3287 to Resolved

Note You need to log in before you can comment on or make changes to this bug.